<?php
require_once 'application/class/class_ManageSession.php';

global $connecteur;

$action = getValue('action');
$codeFrs = getValue('codeFrs');
$id_content = GestFourniss_Contacts::$id_onglet . '_content';

$mode = getValue("mode"); // Soit L (lecture), soit LE (lecture/ecriture)
if (is_null($mode) || '' == $mode)
    $mode = 'L'; // mode d'affichage par défaut

switch ($action) {
    case 'checkValue':
        $code = getValue('OBJECT');
        $value = trim(getValue('val'));
        $format = getValue('_format');
        $objet = getValue('_objet');
        $resultat = GestFourniss_Contacts::checkValue($codeFrs, $format, $objet, $code, $value);
        $messageErreur = $resultat['messageErreur'];
        $valeurModifiee = $resultat['valeurModifiee'];
        
        if ('' != $valeurModifiee)
            Affichage::setValue($code, $valeurModifiee);
        if ('' != $messageErreur)
            Affichage::messageJS($messageErreur);
        break;
    case 'Ajoute':
        $messageErreur = GestFourniss_Contacts::Ajoute($codeFrs);
        if ('' != $messageErreur)
            Affichage::messageJS($messageErreur);
        else
            GestFourniss_Contacts::RafraichitAffichage($codeFrs);
        break;
    case 'Supprime':
        $id = getValue('id');
        $messageErreur = GestFourniss_Contacts::Supprime($codeFrs, $id);
        if ('' != $messageErreur)
            Affichage::messageJS($messageErreur);
        else
            GestFourniss_Contacts::RafraichitAffichage($codeFrs);
        break;
}

$connecteur->disconnect();
exit();